> ## Documentation Index
> Fetch the complete documentation index at: https://docs.priceos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Bonus

> Delete an existing bonus that has not been consumed.



## OpenAPI

````yaml DELETE /v1/bonuses/{bonusId}
openapi: 3.1.0
info:
  title: PriceOS Public API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/bonuses/{bonusId}:
    delete:
      summary: Delete bonus
      description: Delete an existing bonus that has not been consumed.
      parameters:
        - schema:
            type: string
            format: uuid
            description: Bonus ID.
          required: true
          description: Bonus ID.
          name: bonusId
          in: path
        - schema:
            type: string
            description: API key from your PriceOS dashboard.
          required: true
          description: API key from your PriceOS dashboard.
          name: x-api-key
          in: header
      responses:
        '200':
          description: Bonus deleted
          content:
            application/json:
              schema:
                type: object
                properties:
                  deleted:
                    type: boolean
                    enum:
                      - true
                    description: Whether the bonus was deleted.
                  bonusId:
                    type: string
                    format: uuid
                    description: Deleted bonus ID.
                  counterRemaining:
                    type: number
                    description: Total remaining bonus amount for this customer + feature.
                required:
                  - deleted
                  - bonusId
                  - counterRemaining
                description: Bonus delete result.
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message.
                required:
                  - error
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message.
                required:
                  - error
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message.
                required:
                  - error
        '500':
          description: Server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message.
                required:
                  - error
      x-codeSamples:
        - lang: typescript
          label: Node.js
          source: >-
            import { PriceOS } from "priceos";

            import type { MyFeatures } from "./priceos.types";


            const priceos = new
            PriceOS<MyFeatures>(process.env.PRICEOS_API_KEY!);


            const result = await priceos.bonuses.delete("bonus_123");
        - lang: bash
          label: cURL
          source: |-
            curl -X DELETE "https://api.priceos.com/v1/bonuses/bonus_123" \
              -H "x-api-key: PRICEOS_API_KEY"

````